module UU
  module OS
    module CMD

      # Enumeration of possible states of asynchronous command invocation.
      class AsyncCommandState

        # Asynchronous command was successfully planned and is waiting for invocation.
        WAITING = 'WAITING'

        # Asynchronous command is running.
        RUNNING = 'RUNNING'

        # Asynchronous command was successfully finished.
        FINISHED = 'FINISHED'

        # Asynchronous command failed.
        ERROR = 'ERROR'

      end

    end
  end
end
